Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository.sequencer
Class SequencingService.RepositoryObserver

    java.lang.Object
      org.modeshape.graph.observe.ChangeObserver
          org.modeshape.graph.observe.NetChangeObserver
              org.modeshape.repository.sequencer.SequencingService.RepositoryObserver

All Implemented Interfaces:
  Observer

Enclosing class:
  SequencingService

    protected class SequencingService.RepositoryObserver

extends NetChangeObserver

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.observe.NetChangeObserver
`NetChangeObserver.ChangeContext, NetChangeObserver.ChangeType, NetChangeObserver.NetChange, NetChangeObserver.NetChanges`

Nested classes/interfaces inherited from class org.modeshape.graph.observe.ChangeObserver
`ChangeObserver.ChangeSourceReference`

Constructor Summary
`protected` | `SequencingService.RepositoryObserver()`

Method Summary
`protected void` | `notify(NetChangeObserver.NetChanges netChanges)` Method that is called for the set of net changes.

Methods inherited from class org.modeshape.graph.observe.NetChangeObserver
`notify`

Methods inherited from class org.modeshape.graph.observe.ChangeObserver
`doUnregister, isRegistered, unregister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequencingService.RepositoryObserver

    protected SequencingService.RepositoryObserver()

Method Detail

### notify

    protected void notify(NetChangeObserver.NetChanges netChanges)

  Method that is called for the set of net changes.

  Specified by:
    `notify` in class `NetChangeObserver`
  Parameters:
    `netChanges` - the net changes; never null
  See Also:
    `NetChangeObserver.notify(org.modeshape.graph.observe.NetChangeObserver.NetChanges)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.